# Uses of Class
org.apache.cxf.service.model.BindingOperationInfo

Packages that use BindingOperationInfo
Package
Description
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.message
org.apache.cxf.service.factory
org.apache.cxf.service.invoker
org.apache.cxf.service.model

- ## Uses of BindingOperationInfo in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type BindingOperationInfo
  Modifier and Type
  Method
  Description
  `void`
  Client.`invoke(ClientCallback callback, BindingOperationInfo oi, Object... params)`
  Invokes an operation asynchronously
  `void`
  Client.`invoke(ClientCallback callback, BindingOperationInfo oi, Object[] params, Map<String,Object> context)`
  Invokes an operation asynchronously
  `void`
  Client.`invoke(ClientCallback callback, BindingOperationInfo oi, Object[] params, Map<String,Object> context, Exchange exchange)`
  Invokes an operation asynchronously
  `void`
  Client.`invoke(ClientCallback callback, BindingOperationInfo oi, Object[] params, Exchange exchange)`
  Invokes an operation asynchronously
  `Object[]`
  Client.`invoke(BindingOperationInfo oi, Object... params)`
  Invokes an operation synchronously
  `Object[]`
  Client.`invoke(BindingOperationInfo oi, Object[] params, Map<String,Object> context)`
  Invokes an operation synchronously
  `Object[]`
  Client.`invoke(BindingOperationInfo oi, Object[] params, Map<String,Object> context, Exchange exchange)`
  Invokes an operation synchronously
  `void`
  ClientImpl.`invoke(ClientCallback callback, BindingOperationInfo oi, Object... params)`
  `void`
  ClientImpl.`invoke(ClientCallback callback, BindingOperationInfo oi, Object[] params, Map<String,Object> context)`
  `void`
  ClientImpl.`invoke(ClientCallback callback, BindingOperationInfo oi, Object[] params, Map<String,Object> context, Exchange exchange)`
  `void`
  ClientImpl.`invoke(ClientCallback callback, BindingOperationInfo oi, Object[] params, Exchange exchange)`
  `Object[]`
  ClientImpl.`invoke(BindingOperationInfo oi, Object... params)`
  `Object[]`
  ClientImpl.`invoke(BindingOperationInfo oi, Object[] params, Map<String,Object> context)`
  `Object[]`
  ClientImpl.`invoke(BindingOperationInfo oi, Object[] params, Map<String,Object> context, Exchange exchange)`
  `Object[]`
  ClientImpl.`invoke(BindingOperationInfo oi, Object[] params, Exchange exchange)`
  `Object[]`
  Retryable.`invoke(BindingOperationInfo oi, Object[] params, Map<String,Object> context, Exchange exchange)`
  `protected Object[]`
  ClientImpl.`processResult(Message message, Exchange exchange, BindingOperationInfo oi, Map<String,Object> resContext)`
  `protected void`
  ClientImpl.`setExchangeProperties(Exchange exchange, Endpoint endpoint, BindingOperationInfo boi)`
  `protected void`
  ClientImpl.`setOutMessageProperties(Message message, BindingOperationInfo boi)`

- ## Uses of BindingOperationInfo in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return BindingOperationInfo
  Modifier and Type
  Method
  Description
  `protected BindingOperationInfo`
  AbstractInDatabindingInterceptor.`getBindingOperationInfo(Exchange exchange, QName name, boolean client)`
  Returns a BindingOperationInfo if the operation is indentified as a wrapped method, return null if it is not a wrapped method (i.e., it is a bare method)
  Methods in org.apache.cxf.interceptor with parameters of type BindingOperationInfo
  Modifier and Type
  Method
  Description
  `FaultInfo`
  FaultOutInterceptor.`getFaultForClass(BindingOperationInfo op, Class<?> class1)`
  Find the correct Fault part for a particular exception.
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`getMessageInfo(Message message, BindingOperationInfo operation)`
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`getMessageInfo(Message message, BindingOperationInfo operation, boolean requestor)`
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`setMessage(Message message, BindingOperationInfo operation, boolean requestor, ServiceInfo si, MessageInfo msgInfo)`
  `protected void`
  AbstractOutDatabindingInterceptor.`writeParts(Message message, Exchange exchange, BindingOperationInfo operation, MessageContentsList objs, List<MessagePartInfo> parts)`

- ## Uses of BindingOperationInfo in org.apache.cxf.message

  Methods in org.apache.cxf.message that return BindingOperationInfo
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  Exchange.`getBindingOperationInfo()`
  `BindingOperationInfo`
  ExchangeImpl.`getBindingOperationInfo()`

- ## Uses of BindingOperationInfo in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory that return BindingOperationInfo
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  SimpleMethodDispatcher.`getBindingOperation(Method method, Endpoint endpoint)`
  Methods in org.apache.cxf.service.factory with parameters of type BindingOperationInfo
  Modifier and Type
  Method
  Description
  `Method`
  SimpleMethodDispatcher.`getMethod(BindingOperationInfo op)`

- ## Uses of BindingOperationInfo in org.apache.cxf.service.invoker

  Methods in org.apache.cxf.service.invoker that return BindingOperationInfo
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  MethodDispatcher.`getBindingOperation(Method m, Endpoint endpoint)`
  Methods in org.apache.cxf.service.invoker with parameters of type BindingOperationInfo
  Modifier and Type
  Method
  Description
  `Method`
  MethodDispatcher.`getMethod(BindingOperationInfo op)`

- ## Uses of BindingOperationInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return BindingOperationInfo
  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  BindingInfo.`buildOperation(QName opName, String inName, String outName)`
  `BindingOperationInfo`
  BindingFaultInfo.`getBindingOperation()`
  `BindingOperationInfo`
  BindingMessageInfo.`getBindingOperation()`
  `BindingOperationInfo`
  BindingInfo.`getOperation(QName oname)`
  Returns the operation info with the given name, if found.
  `BindingOperationInfo`
  BindingInfo.`getOperation(OperationInfo oi)`
  `static BindingOperationInfo`
  ServiceModelUtil.`getOperation(Exchange exchange, String opName)`
  `static BindingOperationInfo`
  ServiceModelUtil.`getOperation(Exchange exchange, QName opName)`
  `static BindingOperationInfo`
  ServiceModelUtil.`getOperationForWrapperElement(Exchange exchange, QName opName, boolean output)`
  `BindingOperationInfo`
  BindingOperationInfo.`getUnwrappedOperation()`
  `BindingOperationInfo`
  BindingOperationInfo.`getWrappedOperation()`
  Methods in org.apache.cxf.service.model that return types with arguments of type BindingOperationInfo
  Modifier and Type
  Method
  Description
  `Collection<BindingOperationInfo>`
  BindingInfo.`getOperations()`
  Returns all operations for this service.
  Methods in org.apache.cxf.service.model with parameters of type BindingOperationInfo
  Modifier and Type
  Method
  Description
  `void`
  BindingInfo.`addOperation(BindingOperationInfo operation)`
  Adds an operation to this service.
  `void`
  BindingInfo.`removeOperation(BindingOperationInfo operation)`
  Removes an operation from this service.
  `void`
  BindingOperationInfo.`setUnwrappedOperation(BindingOperationInfo op)`
  Constructors in org.apache.cxf.service.model with parameters of type BindingOperationInfo
  Modifier
  Constructor
  Description
  ``
  `BindingFaultInfo(FaultInfo f, BindingOperationInfo info)`
  `protected`
  `BindingMessageInfo(MessageInfo m, BindingOperationInfo boi)`